$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.58-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.58-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '028A9601B89247CDFA803A7C2F3020F04F28A0314701F320A8EB7E90B089A7B5'
  checksumType = 'sha256'
  checksum64 = '028A9601B89247CDFA803A7C2F3020F04F28A0314701F320A8EB7E90B089A7B5'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.58-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
